               

                








                     SDRC Software und Service GmbH


                  

                    I - D E A S   2 D   E N G I N E E R I N G
                        D A T A - T R A N S L A T O R
                                Version  2.0
                                   (UNIX)
                               

                                                        
                                  

              

                                R E A D   M E

                         

                               October    1994

                                   

                      

                       

                       
































    R E A D   M E          I-DEAS 2D ENGINEERING DATA TRANSLATOR   2.0

   






    CONTENTS


    1       General

    1.1     Delivery
    1.2     Documentation

    2       Technical description

    2.1     Resource requirement
    2.2     Software configuration
    2.2.1   SYstem base
    2.2.2   Software environment
    2.3     Product installation
    2.4     Using the product
    2.4.1   Customization
    2.4.2   Special features of the data structures
    2.4.3   Additions to statistics
    2.4.4   Handling scales
    2.4.5   Handling blanked elements
    2.4.6   Special features for SIGRAPH-CAD 2D
    2.5     Function omissions
    2.6     Incompatibilities
    2.7     Restrictions
    2.7.1   Installation
    2.7.2   Limits of data conversion
    2.7.2.1 Splines
    2.7.2.2 Infinite lines
    2.7.2.3 Arc length dimensions
    2.7.2.4 Names of primitives
    2.7.2.5 IGES_PFAD parameter in the configuration file
    2.7.2.6 Contours (planes)
    2.7.2.7 Hatching
    2.7.2.8 Suppression of hidden lines
    2.7.2.9 Handling of views
    2.8     Procedure in case of errors

    3       Supported hardware

    4       Supported software

    5       Miscellaneous

    6       Utility procedure iges_massstab.aql



      

    1       General

            I-DEAS 2D ENGINEERING DATA TRANSLATOR is the IGES/DXF processor 
            for I-DEAS 2D ENGINEERING.
            It can be used to read and create IGES or DXF files. The functions it
            offers differ according to the performance level and switches in the
            configuration file.

            I-DEAS 2D ENGINEERING DATA TRANSLATOR has the following features:

            1. Performance levels G1B1 and G1B2 according to VDAIS,
               and PLUS (ingenious enhancements) for IGES
            2. Various switches for controlling the conversion
            3. Detailed statistics relating to the converted components
            4. AQL interface before and after the conversion
            5. Interactive and batch modes (via AQL)

            Additional information on the range of functions, etc.
            can be found in the Product Information Sheet and in the User Guides.
       

    1.1     Delivery

            The software is delivered together with I-DEAS 2D ENGINEERING
            on CD-ROM.

    1.2     Documentation

            The Installation Manual and the User Guide is included in the 
            scope of supply of I-DEAS 2D ENGINEERING. User Guides can be ordered 
            separately.

            Title                                       Order number  Edition
            -----------------------------------------------------------------
            I-DEAS 2D ENGINEERING DATA TRANSLATOR 2.0   P-10156       May 92
            Benutzerhandbuch

            I-DEAS 2D ENGINEERING DATA TRANSLATOR 2.0   P-10164       May 92
            User Guide   

    2       Technical description

    2.1     Resource requirement

            Processor performance:

               No restriction

            Main memory requirement:

               Minimum:                                16 Mbyte
               Recommendation:                         32 Mbyte
               (required for large models)

            Hard disk requirement:
               Installation                            Approx. 2 Mbyte
               Application according to model size     Approx. 20 - 40 MB or more

            

    2.2     Software configuration
                                     

    2.2.1   System base

            Cf. I-DEAS 2D ENGINEERING 2.0                      

    2.2.2   Software environment
                             
            Cf. I-DEAS 2D ENGINEERING 2.0                      

            NOTE !   I-DEAS 2D ENGINEERING 2.0 must be installed in order for
                     the DATA TRANSLATOR to function correctly

    
    2.3     Product installation

            The product must be installed using the installation
            program of I-DEAS Master Series. 

            The Installation Manual is included in the scope of supply of
            I-DEAS 2D ENGINEERING 2.0.


    2.4     Using the product

            No prior knowledge is necessary to use the DATA TRANSLATOR.

            A separate assignment directory with specially adapted
            assignment files should be created, in order to optimize data
            transfers between I-DEAS 2D ENGINEERING and your CAD system. A
            sound knowledge of the used format is necessary to do so,
            however.

            Please refer to the User Guide for further details.

            Courses are held at SDRC and at the SNI Training Centers.
                

    2.4.1   Customization

            Config file for the DATA TRANSLATOR:
                
                 System defaults have been saved in the design.config
                 file. Please refer to Volume I of the I-DEAS 2D ENGINEERING 
                 User Guide for further details.

                 The names of these configuration files (containing
                 your own setups) can be defined as defaults in the
                 following lines of design.config:

                    iif  <<xxxx.iga>         
                    iof  <<yyyy.iga>

                 where   <xxxx.iga> = Name or path of the config file for
                                      INPUT, i.e. for loading files)
                         <yyyy.iga> = Name or path of the config file for
                                      OUTPUP, i.e. for creating files)

                 If a path is not specified, these files are always searched
                 for in the current directory.
                 
                 The configuration file may include comments (like C between
                 /* and */ ) and switches to control the conversion.

                 The syntax of switches is:
 
                 <format>_<type> <value>

                 where <format> = IGES or DXF
                       <type>   = the name of a valid switch
                       <value>  = depending on <type> one of true or false,
                                                             a number,
                                                             a keyword
                                                             the name of a directory

                 The files need not exist, and they may be empty.
                 In this case, the following defaults are set:
                 (design_path := Directory containing the installation directory of
                                 I-DEAS 2D ENGINEERING 2.0)

                 IGES_PFAD .                         /* Current directory */
                 IGES_TEMP .                         /* Current directory */
                 IGES_ZUOR <design_path>/design_iges/zuor   /* Delivery state*/
                 IGES_PROT .                         /* Current directory */
                 IGES_UBBL .                         /* Current directory */
                 IGES_AQLP .                         /* Current directory */
                 IGES_LANG english
                 IGES_DRAW true
                 IGES_SPLI true
                 IGES_GRUP false
                 IGES_LAYR false
                 IGES_CONT true
                 IGES_STUF G1B1
                 IGES_MASS false
                 IGES_GRAF false
                 IGES_USER exist
                 IGES_VIEW false
                 IGES_VINR false
                 IGES_NAME false
                 IGES_DATP true
                 IGES_STAT true
                 IGES_UNIT false
                 IGES_MESS norm
                 IGES_PREP                           /* Not a procedure*/
                 IGES_PSTP                           /* Not a procedure*/
                 IGES_FIRM  ""
                 IGES_AUTH  ""
                 IGES_ASPR  ""
                 IGES_TEL   ""
                 IGES_ADRS  ""
                 IGES_PROJ  ""
                 IGES_PROK  ""
                 IGES_VARI  ""
                 IGES_VERT  ""
                 IGES_GDAT  "" 
                 IGES_EFA   ""
                 IGES_ENA   ""
                 DXF_PFAD .                         /* Current directory */
                 DXF_TEMP .                         /* Current directory */
                 DXF_ZUOR <design_path>/design_iges/zuor_dxf   /* Delivery state*/
                 DXF_PROT .                         /* Current directory */
                 DXF_UBBL .                         /* Current directory */
                 DXF_AQLP .                         /* Current directory */
                 DXF_LANG <actual language>
                 DXF_SPLI true
                 DXF_MASS true
                 DXF_USER exist
                 DXF_VIEW true
                 DXF_VINR false
                 DXF_NAME false
                 DXF_DATP true
                 DXF_STAT false
                 DXF_UNIT false
                 DXF_MESS norm
                 DXF_PREP                           /* Keine Prozedur */
                 DXF_PSTP                           /* Keine Prozedur */

    2.4.2   Special features of the data structures

            The postprocessor creates a I-DEAS 2D ENGINEERING data structure 
            that does not contain any relations and is similar to that which 
            is created by the "Redefine as simple definition types" function 
            (skull-and-crossbones icon).

            Each primitive is formed by means of points. The first point is
            created relative to the origin and is named 'iges_origin'. All 
            subsequent points are created relative to the first point.

            In addition, any points which differ from those which
            have already been created by less than ALLG_SYST_EPSL
            (defined in iges.zuor bzw. dxf.zur; see also I-DEAS 2D ENGINEERING
            DATA TRANSLATOR User Guide, page 21) are only created once. When 
            a point is edited, all the relations to the primitives which are 
            joined to it are thus preserved.

            This distinction is made separately for the X and Y axes.
            All points whose X coordinates differ by less than ALLG_SYST_EPSL
            from the X coordinate of the reference point are created as
            Y-parallel points. The same applies analogously to Y coordinates.
              
            However, as there are still too many "length" primitives
            when this method is used, the primitives which are used for the
            coordinates are likewise united if they are identical (insofar
            as the computer's accuracy permits). A new length should
            therefore be created whenever a coordinate is edited.

    2.4.3   Additions to statistics

            Additions have been made to the information contained in the
            statistics since the manual went to print. The meanings of the
            table headings are as follows:

            Component   : Name of the entity
            name

            LSTF        : Performance level required according to VDAIS
                          Or PLUS   :  PLUS level
                          Or ??     :  Entity not assigned to any performance
                                       level
                          Or --     :  At least one entity has been ignored
            (IGES only)

            Entity      : Number of the IGES entity
                          If this entry is omitted, the statistics are
                          produced for a single form number.
            (IGES only)

            Form        : Form number of the IGES entity
                          If this entry is omitted, this line is a sum
                          line. The individual form numbers are specified
                          in the next few lines.
            (IGES only)
                          
            Total       : Total number of components

            OK          : Number of translated components (subset of "total")

            Conv.       : Number of converted components.
                          "Successfully converted" also means "successfully
                          translated"

                          Example: A spline is converted to a line sequence.
                          

            Ignor.      : Number of elements which have not been used

                          Examples:   Components with 'blanked' status
                                      Reference point of groups
                                      Properties   (406)
                                      Copious data (106) in PLUS
                                      Elements not visible in a view(port)

            Error       : The component could not be translated, as an
                          error has occurred. Messages to this effect are
                          output either in the background window (serious
                          errors) or in the log file.

                          If any components (lines, circles, etc.) are not
                          translated, the reason may be that the tolerance is
                          too large (ALLG_SYST_EPSL in iges.zuor resp. dxf.zur).
                         

    2.4.4   Handling scales

            Scales of details cannot be read in correctly in I-DEAS 2D ENGINEERING because
            there is only one scale in the IGES file (in the global section). 
            Therefore details are always generated in this (global) scale and this causes 
            the dimensions in these details to appear as theoretical dimensions (underlined). 
            Unfortunately, this cannot be carried out with converted dimensions (created as 
            lines and texts).

            The same thing happens with DXF files.
            
            Such models can be handled using the iges_massstab.aql procedure described under point 7. 


    2.4.5   Handling blanked elements

            Blanked IGES entities will be created in the invisible layer 'iges_blanked'.
            (IGES only)

    2.4.6   Special features for SIGRAPH-CAD 2D
            (IGES only)

            Visibility:

            Both SIGRAPH-CAD 2D and I-DEAS 2D ENGINEERING use suppression of hidden entities.
            The priority of the entities is transmitted by a property entity (406) form
            6731. It contains a list of all corresponding entitys in the order they must
            be drawn; the top-level element at last.

            This property will be evaluated by SIGRAPH-DESIGN-IGES V3.7A00 or later, and
            and by SIGRAPH-CAD-IGES V3.7A00 or later.


            Fonts:
            
            There are many differences between the fonts of SIGRAPH-CAD-2D, I-DEAS 2D ENGINEERING
            and the predefined fonts of IGES. Especially the extensions for german language
            are not considered. However, using the extended assignment files these characters
            can be transmitted between the mentioned products. To do this the following line
            must be added to the config file:

            IGES_ZUOR #zuor_ext


    2.5     Function omissions

            None

    2.6     Incompatibilities
                                                
            To read IGES files containing Subfigure Definition Entities (308), the
            used config file has to include the following line to create new USER 
            elements:

            IGES_USER new


    2.7     Restrictions

    2.7.1   Installation

            I-DEAS 2D ENGINEERING DATA TRANS cannot be used if I-DEAS 2D ENGINEERING
            is started in the delivery directory without the proper start procedure.

            The same applies if .. is inserted in the start procedure in
            front of the program name.
            
            e.g /usr/lib/link_languages/../design   NOT POSSIBLE

                        
    2.7.2   Limits of data conversion

    2.7.2.1 Splines

            4th-order splines cannot be output with a geometrically
            correct conversion (IGES_DRAW false).

            If IGES_SPLI false and IGES_DRAW false apply, no splines can
            be output at all.
            (IGES only)

    2.7.2.2 Infinite lines

            Infinite lines are output as finite lines whose end points
            may be a long way outside. When the file is loaded again,
            the graphics of these lines are not always represented
            correctly.

    2.7.2.3 Arc length dimensions

            Arc length dimensions cannot be output at performance
            level G1B1. At performance level PLUS Angular dimensions 
            are output instead, which, however, will be recognised as
            arc length dimensions.
            (IGES only)

    2.7.2.4 Names of primitives

            The names of primitives other than groups and layers,
            are not output.

    2.7.2.5 <>_PFAD parameter in the configuration file

            The path name which follows <>_PFAD is only evaluated in
            interactive mode. The full file name must be specified for
            AQL calls with input_iges or output_iges resp. inpt_dxfv12 or
            output_dxfv12.

    2.7.2.6 Contours (planes)

            A contour in IGES need not necessarily consist only of lines
            and circles (or circular arcs) as it does in I-DEAS 2D ENGINEERING,
            but can also contain splines and ellipses.

            Splines are therefore always polygonized within contours, so
            that only an approximation of them is incorporated in the
            contour (see also ALLG_SYST_EPSL in iges.zuor).

            Since there is currently no corresponding function for
            ellipses, these cannot be incorporated in contours for
            the time being. As a result, it sometimes happens that
            a contour is not closed and thus that a plane is not
            transferred.

            These errors are not logged in the statistics, but are listed
            in the current directory in the iges_aql.err file.
            (IGES only)

    2.7.2.7 Hatching

            Hatching is output as IGES entity 106 at the G1B1 level.
            The graphics calculation facility of I-DEAS 2D ENGINEERING is used
            to do so. For this reason, it is not possible to output hatching
            at performance level G1B1 if 'IGES_DRAW false' is set.

            This does not affect hatching outputs as IGES entity 230 at
            the PLUS level.
            (IGES only)

    2.7.2.8 Suppression of hidden lines

            The information suppression of a plane cannot be transferred.
            The postprocessor therefore assumes that IGES entity 230 with
            code 0 or 19 (i.e. not hatched) means that suppression is
            desired. 
            (IGES only)

    2.7.2.9 Handling of views

            Views are handled without clipping.

            In connection with views (410) und single subfigure definition (308)
            there may be some problemes if the IGES file was created by a 3D 
            modeller. In this case it is required to include the following line
            in the config file to prevent DESIGN-IGES from creating USER elements:

            IGES_USER diss

            Other settings will lead to two-dimensional USER elements which cannot
            be shown from different directions.

            The same thing happens with DXF files including viewports and blocks.


    2.8     Procedure in case of errors

            Please check the documentation and the Release Information,
            to make sure that the cause is not simply a documented
            restriction.
    
            If the product does turn out to be defective, or if you would
            like to issue a change request, you can fax us a message or
            telephone us from 8.00 a.m. to 4.30 pm, providing you have
            concluded a maintenance contract:
    
            The actual number of the HOTLINE is indicated in the release notes
	      of I-DEAS 2D ENGINEERING.

            Please use the Program Information Report Form  (PIR-Form).
     
            This form is included with the Installation Manual.

            If you encounter a software error, the following is of
            great assistance:
    
            - Description of the error, giving as much detail as
              possible and specifying the deviation from the User
              Guide
            - IGES resp. DXF file in the event of an error in the POSTprocessor
            - I-DEAS 2D ENGINEERING drawing in the event of an error in the PREprocessor,
              including the associated user components
            - The log file for the processor run
            - The 'iges_aql.err' resp. 'dxf_aql.err' file
            - The assignment files
            - If graphics are represented incorrectly in I-DEAS 2D ENGINEERING,
              or if any other effects which can only be described by
              graphic means occur, i.e. if a screen dump is needed, please
              generate a hardcopy of the screen contents to help us with
              our diagnosis.
    
    
            Please send these documents to the address indicated in the
            PIR-form.
            
            We will notify you as soon as we have investigated the
            error. 
    

    3       Supported hardware

            Cf. I-DEAS 2D ENGINEERING.

            Please consult your local Sales Office for further
            information about the permissible hardware configurations,
            especially in connection with other I-DEAS products.

    4       Supported software

            The definition of the IGES standard causes problems in the interpretation
            of data on the different processors.
            
            The same thing happens with DXF files.

            Therefore I-DEAS 2D ENGINEERING DATA TRANS is set up to allow configuration
            and to permit optimum adaptation to certain source or target systems.

            If you have any questions or requests, please contact the address shown 
            under 2.8 "Procedure in case of errors".
.

    5       Miscellaneous

            The manual is written only for IGES-format. Meanwhile the postprocessor
            for DXF files works analogously.

            The following switches IGES_... are also valid as DXF_... for loading DXF
            files, unless something else is indicated.

            - Pages 15ff. of manual : Only the primitive group or layer
                               is output for IGES_GRUP and IGES_LAYR, and
                               not the other primitives they contain.

                               All the relevant functions of I-DEAS 2D ENGINEERING
                               can be used to select the contents of groups
                               and layers.

            - Page 15 of manual : The following switches for controlling
                               the conversion process are not listed:

   IGES_GRAF   true/false
               Only affects the preprocessor
               Extension to IGES_DRAW
               If "true", IGES_DRAW will be true and
               grafic primitves (symbol, vector, etc)
               will be processed too.

               If "false", IGES_DRAW will not be affected.

               If this entry is omitted, "false" is assumed.
               (IGES only)

   IGES_VIEW   true/false
               Only affects the postprocessor
               If "false", view(port) entities are not handled.

               If "true",  views within a drawing (entity 404) resp.
               in paperspace are evaluated. If the send model is 3D 
               problems may occur. IGES_USER may have to be set
               to "diss".

               If this entry is omitted, "false" is assumed at
               performance level G1B1 for IGES and "true" otherwise.


   IGES_VINR : View number to be displayed 
               Only affects the postprocessor

               If "false", no restriction.

               With a number, one single view can be selected. 
               For the view number in the drawing or ID of viewport 
               (see input file or statistic)

               If this entry is omitted, "false" is assumed.

   IGES_NAME : true/false
               Only affects the postprocessor
               If "true", names with the line numbers of the DE/PD 
               section will be created for each element (IGES) or
               with the first line number of the entity (DXF)

               If "false", nothing is done. This is the default.

   IGES_DATP : true/false/full
               If "false", no logging is done.

               If "true", the name of the log file is written in the 
               background window.

               If "full", all file names are written in the background 
               window.

               If this entry is omitted, "true" is assumed.

   IGES_UNIT : mm/inch/false
               Only affects the postprocessor
               The unit is taken from here instead of the one from the 
               file.

               If "false", the dimensional unit is not overdefined, which 
               is the default.

   IGES_STAT   true/false
               If "false", the statistic will not be printed.

               If "true" or the entry is omitted, the statistic will
               be written in the background window.

               The statistic will always be written in the log file.

   IGES_MESS : err/warn/meld/norm
               If "err", only output error messages.
               If "warn", output errors and warnings
               If "meld" or "norm", output errors, warnings and messages

               If this entry is omitted, "norm" is assumed.

   IGES_MASS  true/false    
               Only affects the postprocessor
               If "true", measures are created from dimension components 
                          where possible;
               If "false", dimension components are converted into
                           groups and their subcomponents translated directly (lines,
                           arcs, texts).
                                          
               If "din", (only IGES postprocessor) like false, however, the arrow 
                         size is not taken from the IGES file, but the size normally 
                         used by I-DEAS 2D ENGINEERING (corresponding to DIN) is used.

               If this entry is omitted, "false" is assumed for IGES with performance
               level G1B1 and else "true".

   IGES_USER : Controlling the creation of user elements by the postprocessor
               (like hitherto)
               exist  -> Take available user elements from the user element 
               library IGES_UBBL resp. DXF_UBBL (default)
               new   -> Recreate user element, even if it is in the user 
               element library                              
               diss  -> Recreate and resolve all user elements

               Controlling the creation of singular subfigure definition (308) by the
               preprocessor
               exist -> create empty singular subfigure. The reading system should
                        use an existing subfigure. This is the default.
               diss  -> dissolve these elements and create groups (402) instead.

               IMPORTANT: 'new' is not possible for the preprocessor, because there
               may be totally different instances of USER elements, that no commen
               subfigure definition can be created. 'exist' is only efficient when
               USER elements created by I-DEAS 2D ENGINEERING should be send back. Other
               USER elements with the parameters point, angle, length, length, length
               must be dissolved manually to avoid that a empty subfigure definitions
               will be created for these USER elements too.


   IGES_LAYR : Handling of levels (IGES only)
           preprocessor : like hitherto
           postprocessor: true/false
               if "true", for each value of the level field of the DE section of
               the IGES file a layer will be created (i.e. iges_level_1). The
               corresponding layer will be set active before an element will be 
               created.
               
               if "false", for each value of the level field a length will be 
               created. These lengths will be used as z value wherever possible.

               If the value is omitted, false is assumed. This was also the behavior
               of the previous versions.


   IGES_ZUOR  : Name of directory of assignment files

             -   Simple access to central assignment directories
                 The character `#` as first character of a pathname to
                 IGES_ZUOR will now be interpreted as 
                 '<installation_path>/design_iges'
                 For example, the entry
                 'IGES_ZUOR #/zuor' will be the default setting for IGES,
                 'DXF_ZUOR #/zuor_dxf' the one for DXF.

                 Neither the use of #/zuor or #/zuor_ext for DXF is possible, 
                 nor the use of #/zuor_dxf for IGES.

             -   Improved font handling (IGES)
                 Font allocation files other than iges_font1001.zuor,
                 iges_font1002.zuor and iges_font1003.zuor can now be used,
                 according to the schema iges_font<nr>.zuor.
                 iges_font1.zuor is of particular significance. This file is used when it is 
                 available in the allocation directory. It enables umlauts to be reconstructed 
                 when they appear as "{", for example, from font1. 

              -  Font handling (DXF)
                 There is a file dxf_font.zur to translate chararcters in the range >32 and
                 < 255.

              -  Alternative assignment directory
                 There is an additional assignment directory in the installation environment.
                 This should be used for data exchange between SIGRAPH-CAD 2D, SIGRAPH-DESIGN
                 resp. I-DEAS 2D ENGINEERING.

                 This will be done by adding the following entry to the config file:

                 IGES_ZUOR #/zuor_ext
                 
            - Page 15 of manual : The default value of IGES_SPLI is true
                               and not false.
                               Splines are thus not polygonized unless
                               this is specified explicitly.

            - Page 32 of manual : Symbols cannot be output with this version,
                               contrary to what is stated in the list of
                               permissible primitives. This is the reason
                               why these primitives cannot be selected here.

            - Page 33 of manual : The last parameter should be called
                               "reference coordinate system" and not "world".


6       Utility procedure iges_massstab.aql

           The scale function, used to display very large or very small geometries
           in preset drawings, is often implemented differently in CAD 
           systems than it is in I-DEAS 2D ENGINEERING.
             
           Because CAD systems often recognize only one coordinate
           system, all models which are not created at full-scale are 
           created with the scale of converted model coordinates.

           This means that a line 10mm long with the scale 1:1, for example, 
           runs from point 0,0 to point 10.0, and a line with the scale 10.1 runs 
           from point 0,0 to point 100,0. If this 100mm long line is dimensioned, 
           the corresponding value is entered in accordance with the scale for the 
           distance dimension and in such a way that the distance between the points 
           in model coordinates is calculated with the scale factor and entered 
           as a dimension value.
             
             
                    0,0                100,0           0,0               100,0
                     ---------------------              ----------------------
                     |                   |              |                    |
                     |                   |              |                    |
                     |                   |              |                    |
                     |                   |              |                    |
                     |        100        |              |         10         |
                     |<----------------->|              |<------------------>|
             
                            OP FMA=1                           OP FMA=10
             
             
             
           For the transmission of drawings which are not full-scale from such CAD systems, 
           models with a theoretical dimension now arise on the DESIGN side because 
           DESIGN interprets the scale differently.

           A DESIGN model which is not drawn full-scale has the same model coordinates 
           as the corresponding graphic in the scale 1:1. However, how "large"
           the model should be drawn is controlled by an additional coordinate system. 
           So in this case, the screen coordinates are transformed when the scale is changed.
           The advantage of this is that the scale can be changed very easily during operation,
           depending on the drawing area available.
             
           The AQL procedure iges_massstab.aql has the following performance range:
             
             
            -  Selects the relevant elements through a pick position or group name. 
           
             
             
            -  Acquires the scale values automatically from the first distance 
               dimension found or from manual input.
             
             
            -  Creates a coordinate system with scale factor and redefines all 
               relevant elements on this coordinate system. 
               
           Procedure:

            - Read in the IGES file in I-DEAS 2D ENGINEERING
              The IGES_MASS switch must not be set to false, otherwise no 
              dimension primitives are generated.

                                                                
            - Call up the AQL procedure iges_massstab.aql in I-DEAS 2D ENGINEERING

              This is available under
              #/../design_iges/iges_massstab.aql
              after normal installation

